#ifndef PHONG_H
#define PHONG_H

#include "./material/MaterialManager.h"
#include "./material/MTLreader.h"


///Material based on Phong lighting model.
struct PhongMaterial: public Material
{
	float ambient[3];
	float diffuse[3];
	float specular[3];
	float specular_exp;

	PhongMaterial(void);
	~PhongMaterial(void);
	PhongMaterial(const PhongMaterial& material);

	MaterialType getMaterialType();
};


typedef MaterialManager<PhongMaterial> PhongMaterialManager;



void convertFromMtlToPhongMaterial(const MTLmaterial& mtlMaterial, PhongMaterial& dstPhongMaterial  );

#endif